2022-01-05 02:25:46 +01:00
#!/bin/bash
info_color = "\e[1;34m" # tasks color
comple_color = "\e[1;32m" # Ok color
reset_colors = "\e[0m" # this resets the coloring
command -v inkscape >/dev/null 2>& 1 || { echo >& 2 "I cannot continue without 'inkscape'" ; exit 1; }
command -v parallel >/dev/null 2>& 1 || { echo >& 2 "I cannot continue without 'parallel'" ; exit 1; }
2022-02-22 22:54:25 +01:00
command -v bash >/dev/null 2>& 1 || { echo >& 2 "I cannot continue without 'bash'" ; exit 1; }
2022-01-05 02:25:46 +01:00
2022-03-23 00:34:07 +01:00
printf " ${ info_color } this script build the icon pack and update/installs it to your home directory ${ reset_colors } \\n\\n "
2022-01-05 02:25:46 +01:00
2022-04-30 01:52:57 +02:00
printf " ${ info_color } cleaning up the build directory... ${ reset_colors } \\n "
2022-01-10 00:20:33 +01:00
rm _build/aleta -rf
2022-01-05 02:25:46 +01:00
2022-04-30 01:52:57 +02:00
printf " ${ info_color } rebuilding folder structure... ${ reset_colors } \\n "
2022-01-05 02:25:46 +01:00
./tasks/rebuildfolders.sh
2022-04-30 01:52:57 +02:00
printf " ${ info_color } copying the files to build in the build dir ${ reset_colors } \\n "
2022-01-10 00:20:33 +01:00
cp icons/apps/*.svg _build/icons-t/apps/
cp icons/places/*.svg _build/icons-t/places/
cp icons/categories/*.svg _build/icons-t/categories/
cp icons/devices/*.svg _build/icons-t/devices/
cp icons/status/*.svg _build/icons-t/status/
cp icons/mimetypes/*.svg _build/icons-t/mimetypes/
cp icons/actions/*.svg _build/icons-t/actions/
cp icons/animations/*.svg _build/icons-t/animations/
2022-01-05 02:25:46 +01:00
printf " ${ info_color } starting link process... ${ reset_colors } \\n "
2022-01-10 00:20:33 +01:00
./tasks/linkcall.sh
2022-01-05 02:25:46 +01:00
2022-04-30 01:52:57 +02:00
printf " ${ info_color } exporting all the icons... This will take a long time; and depends directly on the numbers of cores your processor has. ${ reset_colors } \\n "
2022-02-21 22:46:38 +01:00
./tasks/export/export-places.sh
2022-01-10 00:20:33 +01:00
./tasks/export/export-apps.sh
./tasks/export/export-categories.sh
./tasks/export/export-devices.sh
./tasks/export/export-status.sh
./tasks/export/export-mimetypes.sh
./tasks/export/export-actions.sh
./tasks/export/export-animations.sh
2022-01-05 02:25:46 +01:00
2022-04-30 01:52:57 +02:00
printf " ${ info_color } Launching misc commands... ${ reset_colors } \\n "
2022-01-05 02:25:46 +01:00
./tasks/misc.sh
2022-02-22 00:29:04 +01:00
./tasks/mvscalable.sh
2022-01-05 02:25:46 +01:00
2022-02-21 22:46:38 +01:00
printf " ${ info_color } Performing an Update/Installation of aleta ${ reset_colors } \\n "
2022-01-10 00:20:33 +01:00
rm -rf ~/.icons/aleta
2022-01-14 00:13:17 +01:00
mkdir ~/.icons/aleta -p
cp -r ./_build/aleta/* ~/.icons/aleta/
2022-01-05 02:25:46 +01:00
2022-04-30 01:52:57 +02:00
printf " ${ info_color } Updating gtk icon cache... ${ reset_colors } \\n "
2022-03-30 22:01:57 +02:00
gtk-update-icon-cache ~/.icons/aleta/
2022-04-30 01:52:57 +02:00
printf " ${ comple_color } \\nCOMPLETED\! ${ reset_colors } \\n "